in scala.xml.parsing
class NoBindingFactoryAdapter

`class` NoBindingFactoryAdapter
  `extends` scala.xml.parsing.FactoryAdapter
  `with` scala.xml.factory.NodeFactory[scala.xml.Elem]
  `with` scala.ScalaObject

  nobinding adaptor providing callbacks to parser to create elements. implements hash-consing

Constructor Summary
| `def` this

Val inherited from scala.xml.parsing.FactoryAdapter
attribStack , buffer, hStack, normalizeWhitespace, tagStack

Val inherited from scala.xml.factory.NodeFactory[scala.xml.Elem]
cache , ignoreComments, ignoreProcInstr

Var inherited from scala.xml.parsing.FactoryAdapter
capture , curTag, rootElem, scopeStack

Def Summary
`protected` | `def` create (pre: java.lang.String, label: java.lang.String, attrs: scala.xml.MetaData, scpe: scala.xml.NamespaceBinding, children: scala.Seq[scala.xml.Node]) : scala.xml.Elem constructs an instance of scala.xml.Elem
| `def` createNode (pre: java.lang.String, label: java.lang.String, attrs: scala.xml.MetaData, scpe: scala.xml.NamespaceBinding, children: scala.List[scala.xml.Node]) : scala.xml.Elem creates a node. never creates the same node twice, using hash-consing
| `def` createText (text: java.lang.String) : scala.xml.Text creates a text node
`override` | `def` loadXML (source: org.xml.sax.InputSource) : scala.xml.Elem loads an XML document, returning a Symbol node.
| `def` nodeContainsText (label: java.lang.String) : scala.Boolean returns true. Every XML node may contain text that the application needs

Def inherited from scala.xml.parsing.FactoryAdapter
captureText , characters, createNode, createText, endElement, error, fatalError, load, load, load, loadFile, loadFile, loadFile, loadXML, nodeContainsText, printError, startElement, warning

Def inherited from scala.xml.factory.NodeFactory[scala.xml.Elem]
construct , create, eqElements, makeComment, makeNode, makeProcInstr, makeText, nodeEquals

Constructor Detail

`def` this

Def Detail

`protected def` create (pre: java.lang.String, label: java.lang.String, attrs: scala.xml.MetaData, scpe: scala.xml.NamespaceBinding, children: scala.Seq[scala.xml.Node]): scala.xml.Elem

  constructs an instance of scala.xml.Elem

`def` createNode (pre: java.lang.String, label: java.lang.String, attrs: scala.xml.MetaData, scpe: scala.xml.NamespaceBinding, children: scala.List[scala.xml.Node]): scala.xml.Elem

  creates a node. never creates the same node twice, using hash-consing

`def` createText (text: java.lang.String): scala.xml.Text

  creates a text node

`override def` loadXML (source: org.xml.sax.InputSource): scala.xml.Elem

  loads an XML document, returning a Symbol node.

`def` nodeContainsText (label: java.lang.String): scala.Boolean

  returns true. Every XML node may contain text that the application needs